#ifndef _MATERIAL_H_
#define _MATERIAL_H_

#include <lighting.h>	// contains struct Material

enum TexUsageType {
	TEX_DIFFUSE,
	TEX_ENVMAP,
	TEX_NORMAL,
	TEX_LIGHTMAP,

	TEX_USAGE_COUNT
};

struct MatTexture {
	unsigned int tid;
	char *filename;
};

struct ShadeMaterial : public Material {
	unsigned int gpuprog;
	MatTexture tex[TEX_USAGE_COUNT];
};

#endif	/* _MATERIAL_H_ */
